#![allow(non_snake_case)]
#[allow(clippy::expect_used)]
fn main() {
    // Init logger
    dioxus_logger::init(tracing::Level::DEBUG).expect("Failed to init logger");

    #[cfg(feature = "web")]
    {
        tracing::info!("Starting app...");
        // Hydrate the application on the client
        dioxus::web::launch::launch_cfg(dashboard::App, dioxus::web::Config::new().hydrate(true));
    }

    #[cfg(feature = "server")]
    {
        dashboard::infrastructure::server_start(dashboard::App)
            .map_err(|e| {
                tracing::error!("Unable to start server: {e}");
            })
            .expect("Server start failed")
    }
}
